package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.CommentEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;

@Api(value = "教师评语",tags = "教师评语")
public interface CommentApi {
    @ApiOperation(value = "添加老师评语",notes = "添加老师评语")
    R addComment(@ApiParam(value = "老师评语comment和评级level") CommentEntity entity);

    @ApiOperation(value = "修改老师评语",notes = "根据主键id修改评语")
    R updateComment(@ApiParam(value = "主键id+老师评语comment+评级level") CommentEntity entity);

    @ApiOperation(value ="查询所有评语",notes = "查询所有评语")
    R queryComment();
}
