package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.SignatureEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@Api(value = "老师签名照", tags = "老师签名照")
public interface SignatureApi {

    @ApiOperation(value = "上传老师签名照",notes = "上传老师签名照")
    R uploadSignature(MultipartFile file,@ApiParam(value = "用户id",required = true) Integer userId) throws IOException;

    @ApiOperation(value = "查询老师签名照",notes = "查询老师签名照")
    R querySignature(@ApiParam(value = "用户id",required = true) Integer userId);

    @ApiOperation(value = "删除教师签名照",notes = "根据主键id删除教师签名照")
    R daleteSignature(@ApiParam(value = "签名名称signatureName和主键id",required = true) SignatureEntity entity);
}
