package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.msdw.tms.entity.BroadcastEntity;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.entity.vo.ProjectRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ClassTeachingDao {
    ExperimentalTeachingEntity queryInvitationCode(ExperimentalTeachingEntity experimentEntity);

    IPage<ProjectRecordVo> getByClassRecord(Page page1, @Param("cla") ProjectRecordVo recordVo);

    void updateSurplusTime(@Param("cla") ProjectRecordVo recordVo);
    void updateSurplusTimeNull(@Param("cla") ProjectRecordVo recordVo);
    IPage<BroadcastEntity> querySimulationPlayList(Page page1);

    void updateSurplusTimeUp(ProjectRecordVo recordVo);

    void updateSurplusTimeLe(ProjectRecordVo recordVo);

    void updateSurplusTimeGt(ProjectRecordVo recordVo);


    int updateExperimentalNumber(Integer number, Integer id);

    void updateIsDel(Integer id);
}
