package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.EvaluationRecordEntity;
import com.msdw.tms.entity.vo.EvaluationRecordVO;
import com.msdw.tms.entity.vo.TMSEvaluationRecordVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 记录用户测评信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:48
 */
@Mapper
public interface EvaluationRecordDao extends BaseMapper<EvaluationRecordEntity> {
    TMSEvaluationRecordVO selectVOByInfo(@Param("evaluationRecordId") Integer evaluationRecordId,
                                         @Param("questionSortNo") Integer questionSortNo);


//    EvaluationRecordVO selectVOByInfo(@Param("evaluationRecordId") Integer evaluationRecordId,
//                                      @Param("questionSortNo") Integer questionSortNo);
}
