package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.SysRole;
import com.msdw.tms.entity.request.RolePermissionRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户角色表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-02-24
 */
@Mapper
public interface SysRoleMapper extends BaseMapper<SysRole> {

    int addHrmsRole(RolePermissionRequest rolePermission);

    int updateHrmsRole(RolePermissionRequest rolePermission);

    boolean deleteHrmsRoleByRoleId(@Param("roleIds") List<Long> roleIds);

}
