package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.SysRolePermission;
import com.msdw.tms.entity.request.RolePermissionRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 角色权限中间表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-02-24
 */
@Mapper
public interface SysRolePermissionMapper extends BaseMapper<SysRolePermission> {

    int uniqueRoleName(String name);

    boolean addHrmsRolePermission(@Param("rolePermissionList") List<RolePermissionRequest> rolePermissionList);

    boolean deleteHrmsRolePermission(@Param("roleIds") List<Long> roleIds);

    boolean deleteHrmsRolePermissionSingle(Long roleId);

    List<SysRolePermission> queryPermissionArrById(Long roleId);
}
