package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.msdw.tms.entity.StaffEntity;
import com.msdw.tms.entity.vo.StaffVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

@Mapper
public interface SystemSetttingDao {

    boolean addStaff(StaffVo staffVo);

    boolean addStaffN(StaffEntity staffEntity);

    IPage<StaffVo> queryStaff(Page<T> tPage, String searchContent, Integer schoolId,String staffGradeIds,String staffProfessionalArchitectureIds);

    StaffVo querystaffDetail(Integer userId,Integer schoolId);

    boolean updateStaff(StaffEntity staffEntity);

    boolean deleteStaffInfo(Integer userId);

    boolean deleteStaff(Integer userId);

    Integer queryGrade(StaffVo staffVo);

    Integer queryDepartment(StaffVo staffVo);

    boolean addDepartment(StaffVo staffVo);

    boolean addStaffGrade(StaffVo staffVo);

    boolean daleteBatchStaff(List<Integer> userId);

    List<Integer> queryWorkNumber(String workNumber);

    List<StaffVo> queryStaffInfo(Integer userId);

    boolean addStaffUpdata(StaffEntity staffEntity);

    boolean deleteStaffOnly(Integer userId);

    boolean updateStaffOnly(StaffVo staffVo);

    boolean addStaffManager(StaffVo staff);

    boolean addStaffTeacher(StaffVo staff);

    Integer queryDepartmentNameGrade(String staffGradeName,Integer organizationId);

    Integer queryDepartmentNameOrganization(String staffProfessionalArchitectureName,Integer schoolId);

    List<StaffVo> judgmentGrade(String name,Integer schoolId);

    List<StaffVo> queryAccount(String account,Integer schoolId);

    List<Integer> queryUserIdsByGradeId(Integer staffGradeId);

    List<Integer> queryUserIdsByProfessionalId(Integer staffProfessionalArchitectureId);

    List<Integer> queryStaffId(Integer userId);

    boolean daleteBatchStaffPs(Integer staffGradeId);
}
