package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("hr_personal_file")
public class PersonalFileEntity implements Serializable {

    /**
     * 个人档案id
     */
    @TableId
    private  Integer personalfileid;
    /**
     * 个人职业id(1、学生 2、老师)
     */
    private  Integer personalcareerid;
    /**
     * 学校id
     */
    private  Integer schoolid;
    /**
     * 绑定学科id
     */
    private  Integer disciplineid;
    /**
     * 绑定专业类id
     */
    private  Integer professionalclassid;
    /**
     * 绑定专业id
     */
    private  Integer professionalid;
    /**
     * 绑定专业id
     */
    private  Integer userid;

}
