package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Accessors(chain = true)
@Data
@TableName("hr_personal_file")
public class UserPersonalFileEntity extends SchoolEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    //个人档案
    @TableId(type = IdType.AUTO)
    private Integer personalFileId;
    //个人职业
    private Integer personalCareerId;
    //学校id
    private Integer schoolId;
    //学校名称
    private String schoolName;
    //绑定学科id
    private Integer disciplineId;
    //绑定学科名称
    private String disciplineName;
    //绑定专业类id
    private Integer professionalClassId;
    //绑定专业类名称
    private String professionalClassName;
    //绑定专业id
    private Integer professionalId;
    //绑定专业名称
    private String professionalName;
    //绑定用户id
    private Integer userId;
    //修改时间
    private String updatetime;
}


