package com.msdw.tms.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 测评试题表，记录每次测评的试题，与测评记录表相关联
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:49
 */
@Data
public class EvaluationQuestionVO implements Serializable {

    /**
     * 主键
     */
    private Integer id;
    /**
     * 试题id
     */
    private Integer questionId;
    /**
     * 试题分值
     */
    private Integer questionPoints;
    /**
     * 用户填写的答案
     */
    private String userAnswer;
    /**
     * 正确答案
     */
    private String answer;

}
