package com.msdw.tms.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 记录用户测评信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:48
 */
@Data
public class EvaluationRecordSubmitVO implements Serializable {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 当前测评的用户的id
     */
    private Integer userId;
    /**
     * 总题目数量
     */
    private Integer totalQuestionNum;
    /**
     * 是否通过
     */
    private String isPassed;
    /**
     * 总得分
     */
    private Integer totalScore;
    /**
     * 答对几题
     */
    private Integer correctQuestionNum;
    /**
     * 正确率
     */
    private String correctRate;
}
