package com.msdw.tms.entity.vo;

import lombok.Data;

/**
 * 交易类判分点规则实体类
 * 
 * @author Ning
 *
 */
@Data
public class JudgmentPointsRuleVO {

	private Integer id; // 交易类判分点规则主键id
	private Integer type;//类型(1.选择题2.填空题3.问答题4.指标结果)
	private String levelOne;// 一级栏目
	private String levelTwo;// 二级栏目
	private String levelThree;// 三级栏目
	private String levelFour;// 四级栏目
	private Integer tradingJudgmentPointsId;//绑定交易类判分点id
	private String judgmentPointsName;//绑定交易类判分点id
	private Integer operatorOne;//一级运算符 1为且 2为或
	private Integer operatorTwo;//二级运算符 1为且 2为或

}
