package com.msdw.tms.entity.vo;

import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.entity.ProjectRecordEntity;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
public class ProjectRecordExportVo extends ProjectRecordEntity implements Serializable {

    /**
     * 实验项目名称
     */
    private String projectName;
    /**
     * 学校名称
     */
    private String SchoolName;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 实验次数
     */
    private Integer experimentNumber;
    /**
     * 总耗时
     */
    private Integer totalTime;
    /**
     * 平均分
     */
    private double  avgScore;
    /**
     * 几个月
     */
    private Integer month;
    /**
     * 查询条件
     */
    private String  condition;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 完成数量
     */
    private Integer complete;
    /**
     * 待评分
     */
    private Integer tobescored;
    /** 记录状态（0 未修改，1 已修改）*/
    private Integer recordState;
//    =====================================记录实验项目信息
    /**
     * 实验状态(1待开始 2进行中 3已结束)
     */
    private Integer status;
    /**
     * 是否启用邀请码
     */
    private Integer isCode;
    /**
     * 绑定用户id
     */
    private Integer userId;
    /**
     * 实验班级名
     */
    private String experimentalClassName;

    /**
     * 封装多个项目id
     */
    private List<Integer> projectIds;
    /**
     * 实验班级名称
     */
    private String experimental_class_name;
    /**
     * 实验名称(即考核名称）
     */
    private String experimentalName;
}
