package com.msdw.tms.entity.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 *
 * @author
 * @email
 * @date 2020-08-19 16:07:02
 */
@Data
@Accessors(chain = true)
public class RecordVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 记录id
     */
    @ApiModelProperty(value = "记录id",name = "recordid",required = false)
    private Integer recordid;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id",name = "userid",required = false)
    private Integer userid;
    /**
     * 实验项目id
     */
    @ApiModelProperty(value = "实验项目id",name = "projectid",required = false)
    private Integer projectid;
    /**
     * 得分
     */
    @ApiModelProperty(value = "得分",name = "score",required = false)
    private Integer score;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态",name = "recordstate",required = false)
    private Integer recordstate;
    /**
     * 起始时间
     */
    @ApiModelProperty(value = "起始时间",name = "startingtime",required = false)
    private String startingtime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间",name = "endtime",required = false)
    private String endtime;
    /**
     * 耗时
     */
    @ApiModelProperty(value = "耗时",name = "timeSum",required = false)
    private Integer timeSum;
    /**
     * 提交时间
     */
    @ApiModelProperty(value = "提交时间",name = "submittime",required = false)
    private String submittime;
    /**
     * 删除(0未删除 1已删除)
     */
    @TableLogic(value = "0",delval = "1")
    private Integer isdel;

    @ApiModelProperty(value = "项目id",name = "eventId",required = false)
    private Integer eventId;

}
