package com.msdw.tms.entity.vo;

import com.msdw.tms.entity.ExperimentalReportEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class ResultsVo {

    //搜索内容
    @ApiModelProperty(value = "搜索内容",name = "searchContant",required = false)
    private String searchContant;

    //结束时间
    @ApiModelProperty(value = "结束时间",name = "endTime",required = false)
    private String endTime;

    //开始时间
    @ApiModelProperty(value = "开始时间",name = "startTime",required = false)
    private String startTime;

    //月份
    @ApiModelProperty(value = "月份",name = "month",required = false)
    private Integer month;

    //项目权限(0、练习 1、考核 2、竞赛)
    @ApiModelProperty(value = "项目权限(0、练习 1、考核 2、竞赛)",name = "projectPermissions",required = false)
    private Integer projectPermissions;

    //系统id
    @ApiModelProperty(value = "系统id",name = "systemId",required = true)
    private Integer systemId;

    //项目id
    @ApiModelProperty(value = "项目id",name = "projectId",required = true)
    private Integer projectId;

    //用户id
    private Integer userId;

    private Integer isdel;

}
