package com.msdw.tms.entity.vo;

import lombok.Data;

/**
 * 用户测评信息
 */
@Data
public class TMSEvaluationRecordVO {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 当前测评的用户的id
     */
    private Integer userId;
    /**
     * 记录当前做到第几题，用于刷新页面以后保持在当前题目，默认开始时是第一题
     */
    private Integer currentQuestionSortNo;
    /**
     * 总题目数量
     */
    private Integer totalQuestionNum;
    /**
     * 题型
     */
    private Integer questionType;
    /**
     * 题型名称
     */
    private String questionTypeName;
    /**
     * 题干信息
     */
    private String questionStem;
    /**
     * A选项内容
     */
    private String optionA;
    /**
     * B选项内容
     */
    private String optionB;
    /**
     * C选项内容
     */
    private String optionC;
    /**
     * D选项内容
     */
    private String optionD;
    /**
     * E选项内容
     */
    private String optionE;
    /**
     * F选项内容
     */
    private String optionF;
    /**
     * 用户答案
     */
    private String userAnswer;
    /**
     * 测试类型
     */
    private Integer types;
}
