package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.ProjectRecordEntity;
import com.msdw.tms.entity.vo.ProjectRecordVo;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;

/**
 * @author
 * @email
 * @date 2020-08-19 16:07:02
 */
public interface ProjectRecordService extends IService<ProjectRecordEntity> {
    PageUtils getByKDUserRecord(Integer page, Integer size, Integer userId, Integer projectPermissions, Integer systemId);

    PageUtils queryPage(Integer page, Integer size, Integer userId, Integer projectPermissions, Integer systemId);

    PageUtils queryExperimentPage(Integer page, Integer size, Integer userid, Integer systemId);

    //学生端实验概览
    ProjectRecordVo queryUserScore(Integer userId);

    ProjectRecordVo queryScore(Integer userId);

    void exportProjectRecord(HttpServletResponse response, Integer userId) throws Exception;

    void exportExperimentProjectRecord(HttpServletResponse response, Integer userId) throws Exception;

    PageUtils querySchoolRecord(Integer page, Integer size, ProjectRecordVo projectRecord);

    boolean updateUserRecord(ProjectRecordEntity projectRecord);

    void updateScore(ProjectRecordEntity vo);

}

