package com.msdw.tms.service;

import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.vo.StaffVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface SystemSetttingService {

    R addStaff(StaffVo staffVo);

    PageUtils queryStaff(StaffVo staffVo);

    HashMap<String, Object> querystaffDetail(Integer userId);

    R updateStaff(StaffVo staffVo);

    boolean deleteStaff(Integer userId);

    HashMap<String, Object> addDepartment(StaffVo staffVo);

    boolean daleteBatchStaff(List<Integer> userIds);

    Map<String, String> upload(MultipartFile file) throws IOException;

    void exportFailureRecord(HttpServletResponse response, String token) throws Exception;

    void downloadFiles(HttpServletResponse response)  throws IOException;

    R queryAccount(String account,Integer schoolId);

    R resetPwd(Integer userId,String newPwd);

    List<Integer> queryUserIdsByGradeId(Integer staffGradeId);

    List<Integer> queryUserIdsByProfessionalId(Integer staffProfessionalArchitectureId);

    boolean daleteBatchStaffPs(Integer staffGradeId);
}
