package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.UserInfoEntity;
import com.msdw.tms.entity.vo.CheckVo;
import com.msdw.tms.entity.vo.StudentVo;
import com.msdw.tms.entity.vo.UserProsonalEntityVo;

import java.util.HashMap;
import java.util.Map;

public interface UserInfoService extends IService<UserInfoEntity> {

    PageUtils queryPage(Map<String, Object> params);

    int add(UserInfoEntity userInfoEntity);

    void updateUserInfoById(UserInfoEntity entity);

    String queryPasword(Integer userId);

    int saveUserInfo(UserInfoEntity userInfo);

    Integer initialPassword(Integer userId);

    void disableAccount(StudentVo studentIds);

    Integer queryStudentAccount(String account,Integer schoolId);

    Integer queryStudentPhone(String phone);

    HashMap<String, UserProsonalEntityVo> queryUserInfo(Integer id);

    void updateAccount(Integer userId);

//    R findPassword(String account,Integer type);

    R checkCode(CheckVo checkVo);

    R resetPassword(CheckVo checkVo);

    R findPasswordByPhone(String phone);

    R findPasswordByEmail(String email);

    R queryAccount();

    R getUserId(String token);

    Integer queryAccountExist(String account,Integer userId);
}
