package com.msdw.tms.service;

import com.msdw.tms.entity.EvaluationRulesEntity;
import com.msdw.tms.entity.vo.EvaluationRulesVO;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.transaction.annotation.Transactional;

/**
 * 测评规则信息记录，只记录一条信息
 *
 * @author gongsj
 */
@SpringBootTest
class EvaluationRulesServiceTest {

    @Autowired
    EvaluationRulesService evaluationRulesService;

    @Test
    void getEvaluationRules() {
        EvaluationRulesVO evaluationRules = evaluationRulesService.getEvaluationRules();
        System.out.println(evaluationRules.toString());
    }

    @Test
    @Transactional
    void updateEvaluationRulesById() {
        EvaluationRulesEntity evaluationRules = new EvaluationRulesEntity();
        boolean b = evaluationRulesService.updateEvaluationRulesById(evaluationRules);
        System.out.println(b);
    }
}

