package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.EvaluationRulesEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;


/**
 * 测评规则信息记录，只记录一条信息
 *
 * @author gongsj
 */
@Api(value = "测评规则管理", tags = "测评规则的查询和修改")
public interface EvaluationRulesControllerApi {

    /**
     * 测评规则信息的展示
     */
    @ApiOperation(value = "测评规则信息的展示", notes = "测评规则信息的展示")
    R info();
    /**
     * 修改测评规则信息
     */
    @ApiOperation(value = "修改测评规则信息", notes = "修改测评规则信息")
    R update(EvaluationRulesEntity evaluationRules);
}
