package com.msdw.tms.api;

import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.PersonalFileEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(value = "个人档案管理",tags = "个人档案管理")
public interface PersonalFileControllerApi {

    @ApiOperation(value = "用户的全部档案",notes = "用户的全部档案")
    R list(Integer userid);

    @ApiOperation(value = "添加用户个人档案",notes = "添加用户个人档案")
    R save(PersonalFileEntity personalFileEntity);


    @ApiOperation(value = "修改用户个人档案",notes = "修改用户个人档案")
    R update(PersonalFileEntity personalFileEntity);

    @ApiOperation(value = "删除用户个人档案",notes = "删除用户个人档案")
    R delete(Long[] ids);
}
