package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.EvaluationRulesEntity;
import com.msdw.tms.entity.QuestionsEntity;
import com.msdw.tms.entity.vo.QuestionsDetailVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 记录试题信息
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-19 09:28:06
 */
@Mapper
public interface QuestionsDao extends BaseMapper<QuestionsEntity> {
    List<Integer> selectIds(@Param("questionType") Integer questionType);

    Integer countTotalMultipleNum();
    Integer countTotalJudgmentNum();

    Integer countTotalMultiplenum();
    Integer countTotalJudgmentnum();

    EvaluationRulesEntity queryNumberOfQuestions();

    EvaluationRulesEntity queryNumberOfTatolQuestions();

    Integer queryQuestionNumber(Integer number);

}
