package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.msdw.tms.entity.SysPermission;
import com.msdw.tms.entity.response.RolePermissionResponse;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * 菜单权限表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-02-24
 */
@Mapper
public interface SysPermissionMapper extends BaseMapper<SysPermission> {

    IPage<RolePermissionResponse> pageByCondition(Page page,String name);
}
