package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.UserEntity;
import com.msdw.tms.entity.UserPersonalFileEntity;
import com.msdw.tms.entity.vo.CheckVo;
import com.msdw.tms.entity.vo.UserEntityVo;
import com.msdw.tms.entity.vo.UserProsonalEntityVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserDao extends BaseMapper<UserEntity> {

    List<Integer> queryEmial(CheckVo checkVo);

    boolean saveCheckCode(CheckVo checkVo);

    UserEntityVo getByUserId(UserEntity userEntity);

    void updateUserPersonal(UserPersonalFileEntity vo);

    List<UserProsonalEntityVo> queryPersonalFile(Integer userid);

    List<UserProsonalEntityVo> queryPersonalFileES(Integer userid);

    List<UserProsonalEntityVo> queryUserInfo(Integer userid);

    void insertPersonalInfo(UserPersonalFileEntity personalFile);

    boolean bindEmail(CheckVo checkVo);

    boolean bindPhone(CheckVo checkVo);

    List<String> findEmailCode(String email,Integer types);

    List<String> findEmailSetTime(String email, String checkCode,Integer types);

    List<String> findPhoneCode(String phone,Integer types);

    List<String> findPhoneSetTime(String phone, String checkCode,Integer types);

//    boolean saveCheckPhoneCode(CheckVo checkVo);

    List<Integer> queryPhone(CheckVo checkVo);
}
