package com.msdw.tms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.msdw.tms.entity.StudentEntity;
import com.msdw.tms.entity.UserInfoEntity;
import com.msdw.tms.entity.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserInfoDao extends BaseMapper<UserInfoEntity> {

    int add(UserInfoEntity userEntity);

    void userInfupdateUserInfoById(UserInfoEntity entity);

    String queryUserPassword(Integer userid);

    int saveUserInfo(UserInfoEntity userInfo);

    Integer initialPassword(Integer userId, String password);

    Integer disableAccount(StudentVo studentIds);

    List<StudentEntity> queryStudentAccount(String account);

    List<StudentEntity> queryStudentPhone(String phone);

//    int bacthAddStudents(List<StudentVo> students);

    int batchSaveUserInfo(StudentVo studentVo);

    Integer addUserinfo(StaffVo staffVo);

    boolean updateUserInfo(StaffVo staffVo);

    List<Integer> queryPhone(String phone);

    List<StaffVo> queryAccount(String account);

    StaffVo queryAccountUpdate(Integer userId);

    boolean setNUM(Integer userId);

    List<StaffVo> queryUserInfo(StaffVo staffVo);

    List<UserProsonalEntityVo> queryPersonalInfo(Integer userid);

    List<UserProsonalEntityVo> queryPersonalFileES(Integer userid);

    List<Integer> queryEmail(String email);

    List<UserInfoEntity> queryUser(String account);

    void resetPassword(CheckVo checkVo);

    UserInfoEntity queryUserAccount();

    void updateUserDetail();

    String queryUserReport(Integer userId);

    StudentEntity queryStudentId(String userName, Integer userId);

    List<String> queryStudentName(Integer userId);

    Integer getUserId(String token);

    Integer queryAccountExist(@Param("account") String account,@Param("userId") Integer userId);
}
