package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@TableName("tms_broadcast")
public class BroadcastEntity {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 视频/文档链接
     */
    private String links;
    /**
     * 存活状态（0存在，1已删除）
     */
    private Integer isdel;
    /**
     * 视频/文档标题
     */
    private String title;
}
