package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 实验教学实体
 *
 * @author Ning
 */
@Data
@TableName("tms_experimental_teaching")
@Accessors(chain = true)
public class ExperimentalTeachingEntity {

    //实验教学主键ID
    @TableId
    private Integer id;
    //实验班级名称
    private String experimentalClassName;
    //实验名称
    private String experimentalName;
    //绑定项目id
    private Integer projectId;
    //绑定项目名称
    private String projectName;
    //实验人数
    private Integer experimentalNumber;
    //实验时长
    private String experimentDuration;
    //发布类型
    private Integer type;
    //启动时间
    private String startTime;
    //结束时间
    private String stopTime;
    //状态
    private Integer status;
    //邀请码
//    private String invitationCode;
    private Integer invitationCode;
    //是否启用邀请码
    private Integer isCode;
    //绑定用户Id
    private Integer userId;
    //绑定系统Id
    private Integer systemId;
    //创建时间
    private String creationTime;
    //实验倒计时
    private String surplusTime;
}
