package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@TableName("tms_evaluation_fraction")
public class FractionEntity implements Serializable {
    
    //主键自增
    @TableId(type = IdType.AUTO)
    private Integer id;
    //绑定用户id
    private Integer userId;
    //记录总分数
    private Integer fraction;
    //测评类型(1练习 2虚拟仿真 3教学)
    private Integer types;
}
