package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author 
 * @email 
 * @date 2020-08-19 16:07:02
 */
@Accessors(chain = true)
@Data
@TableName("tms_project")
public class ProjectEntity implements Serializable, Comparable {

	private static final long serialVersionUID = 1L;

	/**
	 * 实验项目id
	 */
	@TableId
	private Integer projectid;
	/**
	 * 实验项目名称
	 */
	private String projectname;
	/**
	 * 实验目标
	 */
	private String projecttarget;
	/**
	 * 实验描述
	 */
	private String projectdescribe;
	/**
	 * 实验描述(0开启 1未开启)
	 */
	private Integer isprojectdata;
	/**
	 * 实验提示
	 */
	private String projecttips;
	/**
	 * 实验状态(0已发布 1未发布)
	 */
	private Integer projectstate;
	/**
	 * 归属
	 */
	private Integer ascription;
	/**
	 * 创建人
	 */
	private Integer userid;
	/**
	 * 创建时间
	 */
	private Date creationtime;
	/**
	 * 删除(0未删除 1已删除)
	 */
	private Integer isdel;

	@Override
	public int compareTo(Object o) {
		ProjectEntity projectEntity = (ProjectEntity) o;
		return this.projectid - projectEntity.projectid;
	}
}
