package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "此表是在教师端成绩管理，虚仿以及教学列表展示中使用到")
@TableName("tms_project_hidden")
public class ProjectHiddenEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "项目id(对应hr_project_management主键)")
    private Integer projectId;

    @ApiModelProperty(value = "实验教学id(对应tms_experimental_teaching主键)")
    private Integer teachId;

    @ApiModelProperty(value = "是否隐藏(0不隐藏，1隐藏)")
    private Integer isHidden;


}
