package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author 
 * @email 
 * @date 2020-08-19 16:07:02
 */
@Data
@Accessors(chain = true)
@TableName("tms_project_record")
public class ProjectRecordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 记录id
	 */
	@TableId
	private Integer recordid;
	/**
	 * 用户id
	 */
	private Integer userid;
	/**
	 * 实验项目id
	 */
	private Integer projectid;
	/**
	 * 得分
	 */
	private Integer score;
	/**
	 * 记录状态
	 */
	private Integer recordstate;
	/**
	 * 起始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date startingtime;
	/**
	 * 结束时间
	 */
	private Date endtime;
	/**
	 * 耗时
	 */
	private Integer timeSum;
	/**
	 * 提交时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date submitTime;
	/**
	 * 删除(0未删除 1已删除)
	 */
	@TableLogic(value = "0",delval = "1")
	private Integer isdel;

}
