package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 学校
 */
@Data
@Accessors(chain = true)
@TableName("school")
public class SchoolEntity {

    @TableId(type = IdType.AUTO)
    private Integer schoolId;
    //学校名称
    private String schoolName;
    //省份id
    private Integer provinceId;
    //省份名称
    private String provinceName;
    //省份名称
    private Integer cityId;
    //城市名
    private String cityName;
    //层级
    private Integer level;
    //状态（1已删除，0未删除）
    private Integer isdel;

}
