package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@TableName("student")
@Accessors(chain = true)
public class StudentEntity {

    // 学生主键id
    @TableId(type = IdType.AUTO)
    private Integer studentId;
    // 绑定学校Id
    private Integer schoolId;
    //绑定用户Id
    private Integer userId;
    //学号
    private String workNumber;
    //绑定专业Id
    private Integer professionalId;
    //绑定专业名称
    private String professionalName;
    //绑定年级Id
    private Integer gradeId;
    //绑定年级名称
    private String gradeName;
    //绑定班级Id、
    private Integer classId;
    //绑定班级名称
    private String className;
    //绑定角色Id
    private Integer roleId;
    //登录次数
    private Integer loginNumber;
    //是否删除（0未删除，1已删除）
    private Integer isdel;
    //绑定平台id（默认手写1）
    private Integer platformId;
}
