package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Accessors(chain = true)
@Data
@TableName("hr_user_info")
public class UserEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    //用户id
    @TableId
    private Integer userid;
    //用户姓名
    private String username;
    //用户账号
    private String account;
    //用户密码
    private String password;
    //国家
    private String countries;
    //绑定省份id
    private Integer provinceid;
    //绑定城市id
    private Integer cityid;
    //创建时间
    private String creationtime;
    //登陆次数
    private Integer loginnumber;
    //性别
    private Integer sex;
    //证件类型(1、身份证)
    private Integer documenttype;
    //身份证
    private String idnumber;
    //教育程度(1、研究数及以上)
    private Integer educationdegree;
    //电话
    private String phone;
    //微信账号
    private String wechatid;
    //出生日期
    private String datebirth;
    //邮箱
    private String email;
    //学校id
    private Integer schoolid;
    //唯一标示性账号
    private String uniqueidentificationaccount;
    //用户头像路径
    private String useravatars;
    //是否删除
    private Integer isdel;
    //token
    private String token;

}
