package com.msdw.tms.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 模板文件信息记录
 * 
 * @author gongsj
 */
@Data
@TableName("tms_xlsx_template")
public class XlsxTemplateEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId
	private Integer id;
	/**
	 * 文件名
	 */
	private String fileName;
	/**
	 * 文件全路径
	 */
	private String fileUrl;
	/**
	 * 状态
	 */
	private Integer status;

}
