package com.msdw.tms.entity.request;

import com.msdw.tms.common.utils.poi.ExcelAttribute;
import lombok.Data;

/**
 * 教学实验记录导出模板
 */
@Data
public class ExperimentProjectRecordImportRequest {

    /**
     * 实验名称(即考核名称）
     */
    @ExcelAttribute(sort = 0)
    private String experimentalName;
    /**
     * 实验班级名称
     */
    @ExcelAttribute(sort = 1)
    private String experimentalClassName;

    /**
     * 实验项目名称
     */
    @ExcelAttribute(sort = 2)
    private String projectName;

    /**
     * 得分
     */
    @ExcelAttribute(sort = 3)
    private Integer score;
    /**
     * 耗时
     */
    @ExcelAttribute(sort = 4)
    private Integer timeSum;
    /**
     * 起始时间
     */
    @ExcelAttribute(sort = 5)
    private String startTime;
    /**
     * 结束时间
     */
    @ExcelAttribute(sort = 6)
    private String endTime;
}
