package com.msdw.tms.entity.request;

import com.msdw.tms.common.utils.poi.ExcelAttribute;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 班级实验成绩导出模板数据
 */
@Data
@Accessors(chain = true)
public class ImportAssessmentRequest {


    //学校
    @ExcelAttribute(sort = 0)
    private String schoolName;

    //考核名称
    @ExcelAttribute(sort = 1)
    private String experimentalName;

    //学生姓名
    @ExcelAttribute(sort = 2)
    private String userName;

    //学号
    @ExcelAttribute(sort = 3)
    private String workNumber;

    //分数
    @ExcelAttribute(sort = 4)
    private String score;

    //提交时间
    @ExcelAttribute(sort = 5)
    private String submitTime;


}
