package com.msdw.tms.entity.vo;

import com.msdw.tms.common.utils.poi.ExcelAttribute;
import com.msdw.tms.entity.ExperimentalReportEntity;
import com.msdw.tms.entity.ProjectRecordEntity;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AchievementManagementVO extends ExperimentalReportEntity {

    //===========================================================    返回参数
    //
    private ProjectRecordEntity entity;

    //学校
    private String schoolName;

    //实验班级
    private String experimentalClassName;

    //实验名称
    private String experimentalName;

    //学生姓名
    private String userName;

    //学号
    private String workNumber;

    //分数
    private Integer score;

    //提交时间
    private String submitTime;

    //===========================================================    返回参数
    //项目名称
    private String projectName;

    //分类
    private Integer evaluation;

    //成绩报告数量
    private Integer resportNumber;

    //创建时间
    private String creationTime;

    //类型（1虚拟仿真，2教学实验）
    private Integer type;
    //
    private Integer projectPermissions;
    //创建时间
    private String foundTime;

    //实验记录id（tms_experimental_report主键）
    private Integer recordId;

    private Integer reportId;

    //老师签名 存放路径
    private String signatureUrl;
    //签名名称
    private String signatureName;
    //评语
    private String comment;
    //评语层级id
    private Integer level;
    //成绩报告数量
    private Integer reportNumber;
    //指导老师姓名
    private String teacherName;
    //实验名称
    private String evaluationName;
    //平台id
    private Integer systemId;

    //===========================================================    python实验数据
    //判分点id
    private Integer codeId;
    //判分点-得分
    private Integer codeScore;
    //学生答案
    private String userAnswer;
    //参考答案
    private String answer;
    //判分点名称
    private String judgmentPointsName;

    //学生id
    private Integer studentId;

    //运行有没有出现错误(0、运行正确 1、运行错误
    private Integer isError;
}
