package com.msdw.tms.entity.vo;

import com.msdw.tms.entity.ExperimentalReportEntity;
import com.msdw.tms.entity.ProjectRecordEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AchievementVO extends ExperimentalReportEntity {

    private RecordVo entity;

    //指导老师姓名
    @ApiModelProperty(value = "指导老师姓名",name = "teacherName",required = false)
    private String teacherName;

    //学生姓名
    @ApiModelProperty(value = "学生姓名",name = "userName",required = false)
    private String userName;

    //学号
    @ApiModelProperty(value = "学号",name = "workNumber",required = false)
    private String workNumber;
    //项目id
    @ApiModelProperty(value = "项目id",name = "eventId",required = false)
    private Integer eventId;

}
