package com.msdw.tms.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 测评试题表，记录每次测评的试题，与测评记录表相关联
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-08-28 10:15:49
 */
@Data
public class EvaluationDetailVO implements Serializable {
    /**
     * 序号
     */
    private Integer questionSortNo;
    /**
     * 是否正确
     */
    private Integer isTrue;
    /**
     * 试题得分
     */
    private Integer questionScore;
    /**
     * 用户填写的答案
     */
    private String userAnswer;
    /**
     * 正确答案
     */
    private String answer;
    /**
     * 解析
     */
    private String answerAnalysis;
}
