package com.msdw.tms.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 测评规则信息记录，只记录一条信息
 * 
 * @author gongsj
 */
@Data
public class EvaluationRulesVO implements Serializable {

	/**
	 * 主键
	 */
	private Integer id;
	/**
	 * 测评类型：1：随机类型，0：自定义类型
	 */
	private Integer evaluationType;
	/**
	 * 测评时长，单位：分钟
	 */
	private Integer duration;
	/**
	 * 测评总题数
	 */
	private Integer questionNum;
	/**
	 * 题库总题数
	 */
	private Integer totalQuestionNum;
	/**
	 * 单选题数
	 */
	private Integer singleNum;
	/**
	 * 题库单选题总数
	 */
	private Integer totalSingleNum;
	/**
	 * 只在类型为自定义类型时才启用：1：启用，0：不启用，默认1启用
	 */
	private Integer isSingleEnable;
	/**
	 * 多选题数
	 */
	private Integer multipleNum;
	/**
	 * 题库多选题总数
	 */
	private Integer totalMultipleNum;
	/**
	 * 只在类型为自定义类型时才启用：1：启用，0：不启用，默认1启用
	 */
	private Integer isMultipleEnable;
	/**
	 * 判断题数
	 */
	private Integer judgmentNum;
	/**
	 * 题库判断题总数
	 */
	private Integer totalJudgmentNum;
	/**
	 * 只在类型为自定义类型时才启用：1：启用，0：不启用，默认1启用
	 */
	private Integer isJudgmentEnable;

}
