package com.msdw.tms.entity.vo;

import com.msdw.tms.entity.ProjectRecordEntity;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@Accessors(chain = true)
public class ProjectRecordVo extends ProjectRecordEntity implements Serializable {


    /**
     * 实验项目id
     */
    private Integer id;
    /**
     * 教学实验主键id
     */
    private Integer reportId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 学校名称
     */
    private String SchoolName;
    /**
     * 学校名称
     */
    private String className;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 实验次数
     */
    private Integer experimentNumber;
    /**
     * 总耗时
     */
    private Double totalTime;
    /**
     * 总耗时
     */
    private Integer timeConsuming;
    /**
     * 平均分
     */
    private double avgScore;
    /**
     * 几个月
     */
    private Integer month;
    /**
     * 查询条件
     */
    private String condition;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 完成数量
     */
    private Integer complete;
    /**
     * 待评分
     */
    private Integer tobescored;
    /**
     * 记录状态（0 未修改，1 已修改）
     */
    private Integer recordState;
//    =====================================记录实验项目信息
    /**
     * 实验状态(1待开始 2进行中 3已结束)
     */
    private Integer status;
    /**
     * 是否启用邀请码
     */
    private Integer isCode;
    /**
     * 绑定用户id
     */
    private Integer userId;
    /**
     * 实验班级名
     */
    private String experimentalClassName;
    /**
     * 实验名称
     */
    private String experimentalName;
    /**
     * 封装多个项目id
     */
    private List<Integer> projectIds;
    /**
     * 学生ID
     */
    private Integer studentId;
    /**
     * 学校id
     */
    private Integer schoolId;

    /**
     * 系统id
     */
    private Integer systemId;

}
