package com.msdw.tms.entity.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 试题列表展示信息
 *
 * @author gongsj
 */
@Data
@ToString
public class QuestionsVO implements Serializable {

    /**
     * 主键
     */
    private Integer id;
    /**
     * 题型名称
     */
    private String questionTypeName;
    /**
     * 题干信息
     */
    private String questionStem;
    /**
     * A选项内容
     */
    private String optionA;
    /**
     * B选项内容
     */
    private String optionB;
    /**
     * C选项内容
     */
    private String optionC;
    /**
     * D选项内容
     */
    private String optionD;
    /**
     * E选项内容
     */
    private String optionE;
    /**
     * F选项内容
     */
    private String optionF;
}
