package com.msdw.tms.entity.vo;

import com.msdw.tms.common.utils.poi.ExcelAttribute;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ToString
public class StaffExportVo {

    //序列号
    private Long index;

    //姓名
    @ExcelAttribute(sort = 0)
    private String userName;

    //账号
    @ExcelAttribute(sort = 1)
    private String account;

    //角色
    @ExcelAttribute(sort = 2)
    private String role;

    //工号
    @ExcelAttribute(sort = 3)
    private String workNumber;

    //管理员专业名称
    @ExcelAttribute(sort = 5)
    private String staffGradeName;

    //管理员组织架构名称
    @ExcelAttribute(sort = 4)
    private String staffProfessionalArchitectureName;

    //老师专业组织名称
    @ExcelAttribute(sort = 7)
    private String staffGradeNameTwo;

    //老师组织架构名称
    @ExcelAttribute(sort = 6)
    private String staffProfessionalArchitectureNameTwo;

    //手机号码
    @ExcelAttribute(sort = 8)
    private String phone;

    //邮箱
    @ExcelAttribute(sort = 9)
    private String email;

    //所属院校
    @ExcelAttribute(sort = 11)
    private String schoolAppellationName;

    //失败原因
    @ExcelAttribute(sort = 10)
    private String failureMsg;



}
