package com.msdw.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.common.utils.R;
import com.msdw.tms.entity.PersonalFileEntity;
import com.msdw.tms.entity.UserEntity;
import com.msdw.tms.entity.UserInfoEntity;
import com.msdw.tms.entity.UserPersonalFileEntity;
import com.msdw.tms.entity.vo.CheckVo;
import com.msdw.tms.entity.vo.UserEntityVo;
import com.msdw.tms.entity.vo.UserProsonalEntityVo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface UserService extends IService<UserEntity> {

    PageUtils queryPage(Map<String, Object> params);

    UserEntityVo queryUserId(Integer userId);


    void updateUserPersonal(UserPersonalFileEntity personalFile);

    HashMap<String,UserProsonalEntityVo> queryUserInfo(Integer id);

    void insertPersonalInfo(UserPersonalFileEntity personalFile);

//    boolean bindEmail(CheckVo checkVo);

    R bindEmail(CheckVo checkVo);

    List<String> findEmailCode(String email,Integer types);

    List<String> findEmailSetTime(String email,String checkCode,Integer types);

//    boolean bindPhone(CheckVo checkVo);

    R bindPhone(CheckVo checkVo);

    List<String> findPhoneCode(String phone,Integer types);

    List<String> findPhoneSetTime(String email,String checkCode,Integer types);

    boolean queryEmial(CheckVo checkVo);

    boolean queryPhone(CheckVo checkVo);

//    boolean saveCheckCode(CheckVo checkVo);

    R saveCheckCode(CheckVo checkVo);

//    boolean sendCheckPhoneCode(CheckVo checkVo);

    R sendCheckPhoneCode(CheckVo checkVo);

}
