package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.common.utils.PageUtils;
import com.msdw.tms.dao.ExperimentalProjectDao;
import com.msdw.tms.dao.ExperimentalTeachingDao;
import com.msdw.tms.entity.ExperimentalProjectEntity;
import com.msdw.tms.entity.ExperimentalTeachingEntity;
import com.msdw.tms.entity.vo.ExperimentalProjectEntityVO;
import com.msdw.tms.entity.vo.ExperimentalTeachingEntityVO;
import com.msdw.tms.service.ExperimentalProjectService;
import com.msdw.tms.service.ExperimentalTeachingService;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Service;

@Service("experimentalProjectService")
public class ExperimentalProjectServiceImpl extends ServiceImpl<ExperimentalProjectDao, ExperimentalProjectEntity> implements ExperimentalProjectService {


//    @Override
//    public PageUtils queryPage(Map<String, Object> params) {
//
//        IPage<ExperimentalTeachingEntity> page = this.page(
//                new Query<ExperimentalTeachingEntity>().getPage(params),
//                new QueryWrapper<ExperimentalTeachingEntity>()
//        );
//        return new PageUtils(page);
//    }
    @Override
    public PageUtils queryExperimentalProject(Integer page, Integer size, ExperimentalProjectEntityVO vo) {
        Page<T> page1 = new Page<>(page, size);
        ExperimentalProjectDao userDao = this.getBaseMapper();
        IPage<ExperimentalProjectEntity> list = userDao.queryExperimentalProject(page1, vo);
        PageUtils pageUtils = new PageUtils(list);
        return pageUtils;
    }
}
