package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.dao.ExperimentalStudentDao;
import com.msdw.tms.entity.ExperimentalStudentEntity;
import com.msdw.tms.service.ExperimentalStudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("tms_experimental_student")
public class ExperimentalStudentServiceImpl extends ServiceImpl<ExperimentalStudentDao, ExperimentalStudentEntity> implements ExperimentalStudentService {

    @Autowired
    private ExperimentalStudentDao experimentalStudentDao;

    @Override
    public List queryIsCode(Integer userId, Integer projectId) {
        List o = experimentalStudentDao.queryIsCode(userId,projectId);
        return o;
    }

    @Override
    public void saveCode(ExperimentalStudentEntity student){
        experimentalStudentDao.saveCode(student);
    }
}
