package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.dao.FractionEntityDao;
import com.msdw.tms.entity.FractionEntity;
import com.msdw.tms.service.FractionEntityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FractionEntityServiceImpl implements FractionEntityService {

    @Autowired
    private FractionEntityDao fractionMapper;

    @Override
    public void insertRecord(FractionEntity fraction) {
        fractionMapper.insertRecord(fraction);

    }

    @Override
    public Integer queryExerciseRecord(Integer userId) {
        Integer score = fractionMapper.queryExerciseRecord(userId);
        return score;
    }

    @Override
    public Integer queryTeachingRecord(Integer userId) {
        Integer score = fractionMapper.queryTeachingRecord(userId);
        return score;

    }

    @Override
    public Integer queryScore(Integer userId,Integer type){
        Integer id = fractionMapper.queryScore(userId,type);
        return id;
    }
}
