package com.msdw.tms.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.msdw.tms.dao.PersonalFileDao;
import com.msdw.tms.entity.PersonalFileEntity;
import com.msdw.tms.entity.vo.PersonalFileVo;
import com.msdw.tms.service.PersonalFileService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("personalFileService")
public class PersonalFileServiceImpl extends ServiceImpl<PersonalFileDao,PersonalFileEntity> implements PersonalFileService {

    @Override
    public List<PersonalFileVo> queryPage(Integer userid) {
        PersonalFileDao baseMapper = this.getBaseMapper();
        PersonalFileEntity entity = new PersonalFileEntity();
        entity.setUserid(userid);
        List<PersonalFileVo> personalfiles = baseMapper.getPersonalfiles(entity);
        return personalfiles;
    }

}
